%define	name		TinyCA 
%define version		0.5.4
%define release		3mdk
%define localedir  %{_datadir}/locale/

Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		%{name}-%{version}.tar.bz2
URL:			http://tinyca.sm-zone.net/
Group:			System/Servers
License:		GPL
Summary:		Small Certification Authority (CA) manager 
BuildRoot:		%{_tmppath}/%{name}-%{version}-buidroot
Requires: 		perl-Tk
BuildArch:		noarch

%description 
TinyCA is a simple GUI written in Perl/Tk to manage a small
certification authority. It is based on OpenSSL and Perl modules from
the OpenCA project. TinyCA lets you manage x509 certificates. It is
possible to export data in PEM or DER format for use with servers, as
PKCS#12 for use with clients, or as S/MIME certificates for use with
email programs. It is also possible to import your own PKCS#10
requests and generate certificates from them.

%prep
%setup -q -n %{name}
cd $RPM_BUILD_DIR/TinyCA
# Configure pristine source
perl -pi -e 's:./lib:%{_libdir}/%{name}/lib:g' tinyca
perl -pi -e 's:./templates:%{_libdir}/%{name}/templates:g' tinyca
perl -pi -e 's:./locale:%{localedir}:g' tinyca
perl -pi -e 's:usr//bin:usr/bin:g' tinyca

%build
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/{lib,templates}
mkdir -p $RPM_BUILD_ROOT%{_bindir}/
mkdir -p $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/

install -m 444 lib/*.pm $RPM_BUILD_ROOT%{_libdir}/%{name}/lib/
install -m 644 templates/openssl.cnf $RPM_BUILD_ROOT%{_libdir}/%{name}/templates/
install -m 755 tinyca $RPM_BUILD_ROOT%{_bindir}/
msgfmt po/de.po -o po/tinyca.mo
install -m 644 po/tinyca.mo $RPM_BUILD_ROOT%{localedir}/de/LC_MESSAGES/

%find_lang %name --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc CHANGES INSTALL
%{_bindir}/*
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/templates/
%{_libdir}/%{name}/templates/openssl.cnf
%{_libdir}/%{name}/lib

%changelog
* Thu Feb 26 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.4-3mdk
- fix DIRM
- fix locale location

* Mon Jan 19 2004 Florin <florin@mandrakesoft.com> 0.5.4-2mdk
- rebuild to fix perl(TCONFIG) bad requires

* Wed Dec 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.5.4-1mdk
- 0.5.4 

* Thu Jul 31 2003 Daouda LO <daouda@mandrakesoft.com> 0.4.9-1mdk
- 2.4.9 (german version)

* Thu Jul  3 2003 Tibor Pittich <Tibor.Pittich@phuture.sk> 0.4.8-2mdk
- fixed perl substitutions in prep..

* Thu Jul  3 2003 Daouda LO <daouda@mandrakesoft.com> 0.4.8-1mdk
- 0.4.8

* Thu Apr 17 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.4.4-2mdk
- rm -rf buildroot in %%install in stead of %%prep
- quiet setup

* Thu Apr 17 2003 Daouda LO <daouda@mandrakesoft.com> 0.4.4-1mdk
- release 0.4.4
- patch1 merged in pristine sources

* Mon Aug 19 2002 Daouda LO <daouda@mandrakesoft.com> 0.4.0-1mdk
- release 0.4.0
- no more dependencies on OpenCA modules

* Sat Jul 13 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-2mdk
- relocate templates (Ben Reser)

* Wed Jul 10 2002 Daouda LO <daouda@mandrakesoft.com> 0.3.1-1mdk
- first mdk package

